import { ap as VariableReference, aw as StepResult, m as Step, W as Workflow, az as WorkflowContext, a as Mastra, ak as StepAction, ay as WorkflowRunResult } from '../base-CyMsCNqH.cjs';
export { ar as ActionContext, aq as BaseCondition, aF as DependencyCheckOutput, aM as ExtractSchemaFromStep, aP as ExtractSchemaType, aN as ExtractStepResult, aQ as PathsToStringProps, aC as ResolverFunctionInput, aD as ResolverFunctionOutput, ao as RetryConfig, au as StepCondition, av as StepConfig, at as StepDef, aj as StepExecutionContext, an as StepGraph, aL as StepId, aO as StepInputType, am as StepNode, aG as StepResolverOutput, al as StepVariableType, ax as StepsRecord, aE as SubscriberFunctionOutput, as as WhenConditionReturnValue, aI as WorkflowActionParams, aJ as WorkflowActions, aH as WorkflowActors, aB as WorkflowEvent, aA as WorkflowLogMessage, n as WorkflowOptions, aS as WorkflowResumeResult, aR as WorkflowRunState, aK as WorkflowState, aT as createStep } from '../base-CyMsCNqH.cjs';
import { z } from 'zod';
import { L as Logger } from '../index-CquI0inB.cjs';
import '../base-ObPJ-w8K.cjs';
import 'ai';
import '../types-m9RryK9a.cjs';
import 'sift';
import 'json-schema';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import '../tts/index.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import 'hono';
import 'hono-openapi';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function isLimboState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
    stepPath: string[];
}>;
declare function isWorkflow(step: Step<any, any, any, any> | Workflow<any, any, any, any>): step is Workflow<any, any, any, any>;
declare function resolveVariables<TSteps extends Step<any, any, any>[]>({ runId, logger, variables, context, }: {
    runId: string;
    logger: Logger;
    variables: Record<string, VariableReference<any, any>>;
    context: WorkflowContext;
}): Record<string, any>;
declare function workflowToStep<TSteps extends Step<any, any, any, any>[], TStepId extends string = any, TTriggerSchema extends z.ZodObject<any> = any, TResultSchema extends z.ZodObject<any> = any>(workflow: Workflow<TSteps, TStepId, TTriggerSchema, TResultSchema>, { mastra }: {
    mastra?: Mastra;
}): StepAction<TStepId, TTriggerSchema, z.ZodType<WorkflowRunResult<TTriggerSchema, TSteps, TResultSchema>>, any>;

export { Step, StepAction, StepResult, VariableReference, Workflow, WorkflowContext, WorkflowRunResult, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep };
